## org.mortbay.http.ibmjsse
Class IbmJsseListener

    java.lang.Object
      |
      +--org.mortbay.util.ThreadPool
            |
            +--org.mortbay.util.ThreadedServer
                  |
                  +--org.mortbay.http.SocketListener
                        |
                        +--org.mortbay.http.JsseListener
                              |
                              +--org.mortbay.http.ibmjsse.IbmJsseListener

All Implemented Interfaces:
  HttpListener, LifeCycle, java.io.Serializable

public class IbmJsseListener
extends JsseListener

SSL Socket Listener for IBM's JSSE. This specialization of JsseListener is an specific listener using the JSSE provider included with the IBM JVMs This is heavily based on the work from Court Demas, which in turn is based on the work from Forge Research.

Version:
  $Id: IbmJsseListener.java,v 1.2 2003/06/27 19:27:45 hlavac Exp $
Author:
  Martin Cordova (mcordova@megaserv.com), Greg Wilkins (gregw@mortbay.com), Court Demas (court@kiwiconsulting.com), Forge Research Pty Ltd ACN 003 491 576
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.mortbay.util.ThreadPool
`ThreadPool.PoolThread`

Field Summary

Fields inherited from class org.mortbay.http.JsseListener
`DEFAULT_KEYSTORE, DEFAULT_KEYSTORE_PROVIDER_CLASS, DEFAULT_KEYSTORE_PROVIDER_NAME, DEFAULT_KEYSTORE_TYPE, KEYPASSWORD_PROPERTY, KEYSTORE_PROPERTY, KEYSTORE_PROVIDER_CLASS_PROPERTY, KEYSTORE_PROVIDER_NAME_PROPERTY, KEYSTORE_TYPE_PROPERTY, PASSWORD_PROPERTY`

Fields inherited from class org.mortbay.util.ThreadPool
`__DAEMON, __PRIORITY`

Fields inherited from interface org.mortbay.http.HttpListener
`ATTRIBUTE`

Constructor Summary
`IbmJsseListener()` Constructor.
`IbmJsseListener(InetAddrPort p_address)` Constructor.

Method Summary
`java.lang.String` `getKeystore()`
`java.lang.String` `getKeystoreProviderClass()`
`java.lang.String` `getKeystoreProviderName()`
`java.lang.String` `getKeystoreType()`
`void` `setKeyPassword(java.lang.String password)`
`void` `setKeystore(java.lang.String keystore)`
`void` `setKeystoreProviderClass(java.lang.String classname)`
`void` `setKeystoreProviderName(java.lang.String name)`
`void` `setKeystoreType(java.lang.String keystore_type)`
`void` `setPassword(java.lang.String password)`

Methods inherited from class org.mortbay.http.JsseListener
`getNeedClientAuth, getNonPersistentUserAgent, isConfidential, isIntegral, setNeedClientAuth, setNonPersistentUserAgent`

Methods inherited from class org.mortbay.http.SocketListener

`customizeRequest, getBufferReserve, getBufferSize, getConfidentialPort, getConfidentialScheme, getDefaultScheme, getHttpServer, getIdentifyListener, getIntegralPort, getIntegralScheme, getLowResourcePersistTimeMs, handleConnection, isLowOnResources, isOutOfResources, persistConnection, setBufferReserve, setBufferSize, setConfidentialPort, setConfidentialScheme, setDefaultScheme, setHttpServer, setIdentifyListener, setIntegralPort, setIntegralScheme, setLowResourcePersistTimeMs, start, stop`

Methods inherited from class org.mortbay.util.ThreadedServer
`getHost, getInetAddress, getInetAddrPort, getLingerTimeSecs, getMaxReadTimeMs, getPort, getServerSocket, handle, open, setHost, setInetAddress, setInetAddrPort, setLingerTimeSecs, setMaxReadTimeMs, setPort, toString`

Methods inherited from class org.mortbay.util.ThreadPool
`getIdleThreads, getMaxIdleTimeMs, getMaxThreads, getMinThreads, getName, getPoolName, getThreads, getThreadsPriority, isDaemon, isStarted, join, run, setDaemon, setMaxIdleTimeMs, setMaxStopTimeMs, setMaxThreads, setMinThreads, setName, setPoolName, setThreadsPriority, shrink`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.http.HttpListener
`getHost, getPort, setHost, setPort`

Methods inherited from interface org.mortbay.util.LifeCycle
`isStarted`

Constructor Detail

### IbmJsseListener

    public IbmJsseListener()
                    throws java.io.IOException

  Constructor.

Throws:
  `java.io.IOException`

### IbmJsseListener

    public IbmJsseListener(InetAddrPort p_address)
                    throws java.io.IOException

  Constructor.

Parameters:
  `p_address` -
Throws:
  `java.io.IOException`

Method Detail

### setKeystore

    public void setKeystore(java.lang.String keystore)

### getKeystore

    public java.lang.String getKeystore()

### setPassword

    public void setPassword(java.lang.String password)

### setKeyPassword

    public void setKeyPassword(java.lang.String password)

### setKeystoreType

    public void setKeystoreType(java.lang.String keystore_type)

### getKeystoreType

    public java.lang.String getKeystoreType()

### setKeystoreProviderName

    public void setKeystoreProviderName(java.lang.String name)

### getKeystoreProviderName

    public java.lang.String getKeystoreProviderName()

### getKeystoreProviderClass

    public java.lang.String getKeystoreProviderClass()

### setKeystoreProviderClass

    public void setKeystoreProviderClass(java.lang.String classname)

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.